VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmInfo 
   Caption         =   "Identification"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4710
   OleObjectBlob   =   "frmInfo.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' This form is loaded and displayed by the AutoNew macro in modMain

Private Sub btnCancel_Click()
' Code to run when cancel button is clicked
    Unload Me
End Sub

Private Sub btnOK_Click()
' Code to run when OK button is clicked
'
' Declare variables for this procedure
    Dim ProtectType As Integer, i As Integer
    Dim ZipOK As Boolean
    Dim ErrMsg As String

' Check for any empty textbox
    If (tbxName.Text = "") Then
        MsgBox "Please enter the name", , "Name empty"
        tbxName.SetFocus
        Exit Sub
    End If
    If (tbxStreet.Text = "") Then
        MsgBox "Please enter the street", , "Street empty"
        tbxStreet.SetFocus
        Exit Sub
    End If
    If (tbxCity.Text = "") Then
        MsgBox "Please enter the city", , "City empty"
        tbxCity.SetFocus
        Exit Sub
    End If
    If (tbxState.Text = "") Then
        MsgBox "Please enter the state", , "State empty"
        tbxState.SetFocus
        Exit Sub
    End If
    If (tbxZIP.Text = "") Then
        MsgBox "Please enter the ZIP code", , "ZIP code empty"
        tbxZIP.SetFocus
        Exit Sub
    End If

' Make sure the zip code is exactly 5 digits
' with no letters or spaces
    ZipOK = True
    ErrMsg = "ZIP code must be 5 digits with no letters or spaces"
    If Len(tbxZIP.Text) <> 5 Then
        ZipOK = False
    Else
        For i = 1 To 5
            If (Mid$(tbxZIP.Text, i, 1) < "0") Or _
               (Mid$(tbxZIP.Text, i, 1) > "9") Then
                ZipOK = False
                Exit For
            End If
        Next i
    End If

    If Not ZipOK Then
        MsgBox ErrMsg, , "ZIP code error"
        tbxZIP.SetFocus
        Exit Sub
    End If
    
   On Error GoTo ErrorHandler

' Insert the information into the bookmarks
    With ActiveDocument
        ProtectType = .ProtectionType
        
        ' If the document is protected, you have to
        ' unprotect it in order to fill the bookmarks
        If Not (ProtectType = wdNoProtection) Then
            .Unprotect
        End If
    
        ' Call macro below to update bookmarks without deleting them
        UpdateBookmarkProc "Name", tbxName
        UpdateBookmarkProc "Street", tbxStreet
        UpdateBookmarkProc "City", tbxCity
        UpdateBookmarkProc "State", tbxState
        UpdateBookmarkProc "ZIP", tbxZIP

        ' Update any reference fields
        .Fields.Update
        
        ' If the document was originally protected,
        ' put back the same protection
        If Not (ProtectType = wdNoProtection) Then
            .Protect ProtectType, True
        End If
    End With

   Unload Me
   Exit Sub
   
ErrorHandler:
   If Err.Number = 5941 Then ' "no such member of collection"
      MsgBox "One or more bookmarks are missing from the template", , "Error"
   Else
      MsgBox "Error " & Err.Number & vbCr & Err.Description, , "Error"
   End If
   Unload Me
End Sub

Private Sub UpdateBookmarkProc(BookmarkToUpdate As String, TextToUse As String)
' This procedure set forth by Dave Rado at http://www.mvps.org/word/FAQs/MacrosVBA/InsertingTextAtBookmark.htm
    Dim BMRange As Range
    Set BMRange = ActiveDocument.Bookmarks(BookmarkToUpdate).Range
    BMRange.Text = TextToUse
    ActiveDocument.Bookmarks.Add BookmarkToUpdate, BMRange
End Sub

Private Sub UserForm_Click()

End Sub
